# Create Records Using sObject Rows by External ID

Creates a new record based on the field values included in the request body. This resource does not require the use of an external ID field.

As a special case, in API version 37.0 and later, you can create a record with a POST request to `/services/data/vXX.X/sobjects/sObjectName/Id`. Because `Id` has a `null` value, it is omitted from the request, and the record is created according to the request body. Creating records with this resource is useful because you can use the same URI in each POST request for each new record. In this case, you are not required to specify an external ID to create a record.

:::note
Do not specify `Id` or an external ID field in the request body or an error is generated.
:::

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/Id`

**Formats:** JSON, XML

**HTTP Method:** POST

**Authentication:** `Authorization: Bearer token`

**Parameters:** None

## Example

**Example Request**

```nolang
curl -X POST https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/Id -H "Authorization: Bearer token" -H "Content-Type: application/json" -d "@newaccount.json"
```

**See Also**

- [Object Reference for the Salesforce Platform](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/)
